| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.TypeChecking.Rebind

Synopsis

rebindClause :: Clause -> TCM Clause

Documentation

rebindClause :: Clause -> TCM Clause | Source

Change `Bind`s to `NoBind` if the variable is not used in the body. Also normalises the body in the process. Or not. Disabled.
Produced by Haddock version 2.4.2